Name:           libmonitor
Version:        20130218
Release:        1%{?dist}
Summary:        User callbacks for library, process and thread initialization/creation/destruction

Group:          System Environment/Libraries
License:        BSD
URL:            https://outreach.scidac.gov/svn/libmonitor/trunk
Source0:        %name-%version.tar.gz   

BuildRequires:  openmpi-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
libmonitor provides callback functions for begin, end of processes, threads,
fork, exec, and provides a layer on which to build process monitoring tools
such as profilers.
libmonitor is part of HPCToolkit and is supported by CScADS and PERI.
Source for this release checked out of the subversion tree at:
svn checkout https://outreach.scidac.gov/svn/libmonitor/trunk libmonitor


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%_openmpi_load
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_libdir}/*.so.*
%_bindir/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a


%changelog
* Sat Mar  8 2014 Dave Love <d.love@liverpool.ac.uk> - 20130218-1
- Initial packaging

